{ inputs, config, pkgs, ... }:
{
  imports = [
    (import ./common.nix { inherit inputs config pkgs; })
    (import ../hyprland { inherit inputs pkgs; })
    (import ../waybar { inherit inputs pkgs; })
    ../rofi
    ../alacritty
    ../kitty
    ../firefox
    ../ssh
    ../mpv
  ];

  home.packages = with pkgs; [
    telegram-desktop
    webcord
    devenv
    iwgtk
    element-desktop
    evince
    loupe
  ];

  services.kdeconnect = {
    enable = true;
    package = pkgs.kdePackages.kdeconnect-kde;
    indicator = true;
  };

  gtk = {
      enable = true;
      theme = {
          package = pkgs.gnome.gnome-themes-extra;
          name = "Adwaita-dark";
      };
      iconTheme = {
          name = "Papirus";
          package = pkgs.papirus-icon-theme;
      };
  };

  home.pointerCursor = {
      gtk.enable = true;
      name = "Adwaita";
      size = 28;
      package = pkgs.gnome.adwaita-icon-theme;
  };

  services.cliphist = { enable = true; };

  xdg.mimeApps.defaultApplications = {
      "application/pdf" = "org.gnome.Evince.desktop";
      "video/*" = "mpv.desktop";
      "audio/*" = "mpv.desktop";
  };
}
